#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: scientific
version: 0.3.3.8
id: scientific-0.3.3.8-f6fbe2ce4ff5b5aa113a9469936c3407
key: scien_5NQHiMKEgH2DOLHdLSFbA2
license: BSD3
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
homepage: https://github.com/basvandijk/scientific
synopsis: Numbers represented using scientific notation
description:
    @Data.Scientific@ provides a space efficient and arbitrary precision
    scientific number type.
    .
    '\''Scientific'\'' numbers are represented using
    <http://en.wikipedia.org/wiki/Scientific_notation scientific notation>. It
    uses a coefficient @c :: '\''Integer'\''@ and a base-10 exponent @e :: '\''Int'\''@ (do
    note that since we'\''re using an '\''Int'\'' to represent the exponent these numbers
    aren'\''t truly arbitrary precision). A scientific number corresponds to the
    '\''Fractional'\'' number: @'\''fromInteger'\'' c * 10 '\''^^'\'' e@.
    .
    The main application of '\''Scientific'\'' is to be used as the target of parsing
    arbitrary precision numbers coming from an untrusted source. The advantages
    over using '\''Rational'\'' for this are that:
    .
    * A '\''Scientific'\'' is more efficient to construct. Rational numbers need to be
    constructed using '\''%'\'' which has to compute the '\''gcd'\'' of the '\''numerator'\'' and
    '\''denominator'\''.
    .
    * '\''Scientific'\'' is safe against numbers with huge exponents. For example:
    @1e1000000000 :: '\''Rational'\''@ will fill up all space and crash your
    program. Scientific works as expected:
    .
    > > read "1e1000000000" :: Scientific
    > 1.0e1000000000
    .
    * Also, the space usage of converting scientific numbers with huge exponents to
    @'\''Integral'\''s@ (like: '\''Int'\'') or @'\''RealFloat'\''s@ (like: '\''Double'\'' or '\''Float'\'')
    will always be bounded by the target type.
category: Data
author: Bas van Dijk
exposed: True
exposed-modules:
    Data.Scientific Data.Text.Lazy.Builder.Scientific
    Data.ByteString.Builder.Scientific
hidden-modules: Math.NumberTheory.Logarithms
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/scientific-0.3.3.8
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/scientific-0.3.3.8
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/scientific-0.3.3.8
hs-libraries: HSscientific-0.3.3.8-5NQHiMKEgH2DOLHdLSFbA2
include-dirs: /usr/local/include
depends:
    array-0.5.1.0-d4206b835b96b5079d918fa1eab1a9a8
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    deepseq-1.4.1.1-0354326a723a42c7cbc9764ea7e4c5c2
    ghc-prim-0.4.0.0-af16264bc80979d06e37ac63e3ba9a21
    hashable-1.2.3.3-8f170cf3be214ecb17aa999ac01e25b9
    integer-gmp-1.0.0.0-8e0f14d0262184533b417ca1f8b44482
    text-1.2.1.3-7b7b9ddb2dfcabed4e37e6b2f8cdc5f5
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/scientific-0.3.3.8/html/scientific.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/scientific-0.3.3.8/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
